summaryrefslogtreecommitdiff
path: root/tests.branching/petrify.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.branching/petrify.script')
-rwxr-xr-xtests.branching/petrify.script42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests.branching/petrify.script b/tests.branching/petrify.script
new file mode 100755
index 00000000..f8e7c1e9
--- /dev/null
+++ b/tests.branching/petrify.script
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Copyright (C) 2012-2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Verify "morph petrify", and ensure it doesn't petrify chunks that have
+## already been edited.
+
+set -eu
+
+. "$SRCDIR/tests.branching/setup-second-chunk"
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch test:morphs test/petrify master
+
+cd test/petrify/test/morphs
+git push --quiet origin HEAD
+"$SRCDIR/scripts/test-morph" edit goodbye
+(cd ../goodbye && git push --quiet origin HEAD)
+
+"$SRCDIR/scripts/test-morph" petrify
+echo "Petrified:"
+cat hello-stratum.morph
+
+"$SRCDIR/scripts/test-morph" unpetrify
+echo
+echo "Unpetrified:"
+cat hello-stratum.morph